> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# تقارير التداول الحكومية

<ResponseExample>
  ```json استجابة (200 OK) theme={null}
  {}
  ```

  ```json استجابة (401 Unauthorized) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "رمز الوصول للمصادقة غير صالح أو مفقود"
      }
    ]
  }
  ```

  ```json استجابة (404 Not Found) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "لم يتم العثور على أي بيانات للمعلمات المحددة"
      }
    ]
  }
  ```

  ```json استجابة (500 Internal Server Error) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "حدث خطأ غير متوقع أثناء معالجة طلبك"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml ar/openapi/calendar-api.spec.yml GET /api/v1/government_trade_reports
openapi: 3.0.0
info:
  contact: {}
  description: >-
    تُعيد واجهة برمجة تطبيقات REST هذه بيانات مُنظَّمة لمكالمات المؤتمرات
    الهاتفية (conference calls)، وتوزيعات الأرباح (dividends)، والأرباح (بما في
    ذلك تواريخ الأرباح المستقبلية)، والبيانات الاقتصادية، وإعلانات شركات
    الأدوية، والتوجيّهات المستقبلية للشركات (guidance)، والاكتتابات العامة
    الأولية (IPOs)، والعروض الثانوية، والتقييمات (ratings)، وأنشطة الاندماجات
    والاستحواذات (M&A)، وتجزيئة الأسهم (splits).
  termsOfService: http://swagger.io/terms/
  title: Calendar API
  version: 2.1.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v1/government_trade_reports:
    get:
      tags:
        - Government Trade Reports
      summary: تقارير التجارة الحكومية
      description: >-
        يُرجِع تقارير مفصّلة حول إفصاحات التداول الحكومية، بما في ذلك تقارير
        المعاملات الدورية التي يقدّمها أعضاء الكونغرس
      operationId: get-government-trade-reports
      parameters:
        - description: رقم الصفحة
          in: query
          name: page
          schema:
            type: integer
        - description: حجم الصفحة
          in: query
          name: pageSize
          schema:
            type: integer
        - description: من
          in: query
          name: date_from
          schema:
            type: integer
            format: int64
        - description: تاريخ الانتهاء
          in: query
          name: date_to
          schema:
            type: integer
            format: int64
        - description: محدَّث منذ
          in: query
          name: updated_since
          schema:
            type: integer
            format: int64
        - description: التاريخ
          in: query
          name: date
          schema:
            type: integer
            format: int64
        - description: غرفة
          in: query
          name: chamber
          schema:
            type: string
            enum:
              - '"House"'
              - '"Senate"'
        - description: الحقول
          in: query
          name: fields
          schema:
            type: string
        - description: نوع مفاتيح البحث
          in: query
          name: search_keys_type
          schema:
            type: string
            enum:
              - '"report_id"'
              - '"ticker"'
        - description: مفاتيح البحث
          in: query
          name: search_keys
          schema:
            type: string
      responses:
        '200':
          description: تقارير التجارة الحكومية
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/calendarapi.GovernmentTradeJSON'
        '400':
          description: طلب غير صالح
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '500':
          description: خطأ داخلي في الخادم
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    calendarapi.GovernmentTradeJSON:
      properties:
        data:
          items:
            additionalProperties: true
            type: object
          type: array
      type: object
    api.ErrorResponse:
      properties:
        text:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````